function [ a, b ] = rounding( z, K, longueurs, eventList, params )
%ROUNDING Summary of this function goes here
%   Detailed explanation goes here

if params.projectors == 1
    
else
    
    if params.silence == 0
        
        z = [zeros(size(z, 1), 1), -.5 * ones(size(z)) + z];
        l      = mat2cell( - 2* z', size(z, 2), longueurs);

    else
    
        l      = mat2cell( - 2* z', size(z, 2), longueurs);
    
    end
    [a,b]  = optimizeA(l, K, eventList);
    a      = cell2mat(a')';

end

end